Bug 202817 - [PATCH] update games/etracer to 0.6.0
Summary: [PATCH] update games/etracer to 0.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-09-01 20:25 UTC by Anonymous
Modified: 2015-10-01 14:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (peter_dunning)


Attachments
Patch (38.79 KB, patch)
2015-09-01 20:39 UTC, Anonymous
no flags Details | Diff
Add in poudwhatchama call it log file (111.44 KB, text/x-log)
2015-09-01 20:40 UTC, Anonymous
no flags Details
new patch (38.77 KB, patch)
2015-09-02 01:16 UTC, Anonymous
no flags Details | Diff
Improved patch (39.20 KB, patch)
2015-09-03 09:18 UTC, Dmitry Marakasov
amdmi3: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anonymous 2015-09-01 20:25:27 UTC
Update this cute little game from 0.4 to 0.6.0
Comment 1 Anonymous 2015-09-01 20:39:42 UTC
Created attachment 160606 [details]
Patch

Add in patch file/diff
Comment 2 Anonymous 2015-09-01 20:40:14 UTC
Created attachment 160607 [details]
Add in poudwhatchama call it log file
Comment 3 Anonymous 2015-09-02 01:16:37 UTC
Created attachment 160610 [details]
new patch

This update removes the USE_FREE* as I am unsure as to why I added it. LIB_ adds in the dep.
Comment 4 Dmitry Marakasov freebsd_committer 2015-09-03 09:18:32 UTC
Created attachment 160667 [details]
Improved patch

I suggest improved version of the patch:
- Fix extra identation
- Remove unused depends (X11, glut)
- Replace dead WWW with a working one
Comment 5 commit-hook freebsd_committer 2015-09-30 18:35:03 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Sep 30 18:34:03 UTC 2015
New revision: 398229
URL: https://svnweb.freebsd.org/changeset/ports/398229

Log:
  - Update to 0.6.0
  - Fix indentation
  - Update WWW
  - Fix comment
  - Add LICENSE

  PR:		202817
  Submitted by:	chris@bsdjunk.com
  Approved by:	maintainer timeout (peter_dunning@dsl.pipex.com, 4 weeks)

Changes:
  head/games/etracer/Makefile
  head/games/etracer/distinfo
  head/games/etracer/pkg-descr
  head/games/etracer/pkg-plist